Re: GPL vX or later issue


Jilayne Lovejoy <Jlovejoy@...>
 

I would agree with Peter's assessment below. To be clear, my
interpretation of this would be that this would remove the various "or
later" instances from the actual license list and then that option would
be handled elsewhere.

Does anyone else have any thoughts on this?

This is an easy update to make and I was hoping to upload a new license
list version with various updates this week, just prior to Friday's
license meeting.

Jilayne

* How do we want to handle LGPL/GPL "vXor later" versus LGPL/GPL
vX?

I think this should not be handled at license level. There is no such
license as "GPL v2 or later". Rather, content is licensed under the
disjunctive set of all GPL licenses with a version greater than or equal

to 2.

If licenses expressed their version relationships using dc:isVersionOf
and dc:replaces we could leverage that information. Using the version
relationships we could define a version based disjunctive license set.
This set would specify the minimum acceptable version of the license,
e.g. GPLv2. A license would be considered to be part of such a set if
it "replaces" and "isVersionOf", either directly or indirectly, the
minimum acceptable version.

[snip]

Join spdx@lists.spdx.org to automatically receive all group messages.